require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU
  module OS
    module PersonalRole
      class PersonalRoleSetAccessCodes < UU::OS::REST::DTO

        # @see PersonalRole#set_access_codes
        attr_accessor :access_code1

        # @see PersonalRole#set_access_codes
        attr_accessor :access_code2

        # @see PersonalRole#set_access_codes
        attr_accessor :new_access_code1

        # @see PersonalRole#set_access_codes
        attr_accessor :new_access_code2

        # @see PersonalRole#set_access_codes
        attr_accessor :external_access_code1_validation

        def access_code1
          attributes[:accessCode1]
        end

        def access_code1=(val)
          attributes[:accessCode1] = val
        end

        def access_code2
          attributes[:accessCode2]
        end

        def access_code2=(val)
          attributes[:accessCode2] = val
        end

        def new_access_code1
          attributes[:newAccessCode1]
        end

        def new_access_code1=(val)
          attributes[:newAccessCode1] = val
        end

        def new_access_code2
          attributes[:newAccessCode2]
        end

        def new_access_code2=(val)
          attributes[:newAccessCode2] = val
        end

        def external_access_code1_validation
          attributes[:externalAccessCode1Validation]
        end

        def external_access_code1_validation=(val)
          attributes[:externalAccessCode1Validation] = val
        end
      end
    end

  end

end
