require 'uu/os/rest/dto'
require 'uu/os/uesuri'


module UU
module OS
module Property

class PropertyMove < UU::OS::REST::DTO

# UESURI of a parent node (artifact or property collection) where the property will 
# be moved. Property can be moved only in the same artifact. ParentNodeUri cannot 
# be child of the moved property collection. Never null. 
attr_accessor :parent_node_uri



def parent_node_uri 
attributes[:parentNodeUri]
end

def parent_node_uri=(val) 
if val
attributes[:parentNodeUri] = UU::OS::UESURI.new(val)
else
attributes[:parentNodeUri] = nil
end
end

end

end
end
end
