require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU
  module OS

      module RoleInterface
        class RoleInterfaceRemoveMetaArtifact < UU::OS::REST::DTO

          # @see RoleInterface#remove_meta_artifact
          attr_accessor :meta_artifact_uri

          def meta_artifact_uri 
            attributes[:metaArtifactUri]
          end

          def meta_artifact_uri=(val) 
            if val
              attributes[:metaArtifactUri] = UU::OS::UESURI.new(val)
            else
              attributes[:metaArtifactUri] = nil
            end
          end

        end
      end

  end
end
