require 'uu/os/rest/paging_criteria'

# Module Unicorn Universe.
module UU
  # Module Application Deployment Kit.
  module OS
    # Module Visual Use Case.
    module VisualUseCase
      # @see VisualUseCase#get_use_case_list
      class VisualUseCaseGetUseCaseList < UU::OS::REST::PagingCriteria

        # @see VisualUseCase#get_use_case_list
        attr_accessor :query
        def query
          attributes[:query]
        end

        def query=(val)
          attributes[:query] = val
        end

      end
    end

  end
end
