module UU
  module OS
    module Artifact
      # Artifact setting enum for artifact header type.
      class ArtifactHeaderDisplayMode
        # Default setting of artifact header type.
        DEFAULT = 'DEFAULT'

        # Artifact header is hidden.
        HIDDEN = 'HIDDEN'

        # Artifact header type is one line (location, artifact code).
        ONE_LINE = 'ONE-LINE'

        # Artifact header type is two lines (comp. role, location, artifact code, meta artifact).
        TWO_LINES = 'TWO-LINES'

      end
    end
  end
end
