require 'uu/os/rest/dto'
require 'uu/os/uesuri'



module UU
  module OS
    
      module MetaRole
        class MetaRoleGetRoleInterfaceListItem < UU::OS::REST::DTO

          # Normalized UESURI of the role interface. Never nil.
          attr_accessor :uri

          # Name of the role interface. Never nil.
          attr_accessor :code

          # Code of the role interface. Never nil.
          attr_accessor :name

          def uri
            attributes[:uri]
          end

          def uri=(val)
            if val
              attributes[:uri] = UU::OS::UESURI.new(val)
            else
              attributes[:uri] = nil
            end
          end

          def code
            attributes[:code]
          end

          def code=(val)
            attributes[:code] = val
          end

          def name
            attributes[:name]
          end

          def name=(val)
            attributes[:name] = val
          end

        end
    end
  end
end
