require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU
  module OS
    module PersonalAccessRole
      # @see PersonalAccessRole#remove_role_interface
      class PersonalAccessRoleRemoveRoleInterface < UU::OS::REST::DTO

        # @see PersonalAccessRole#remove_role_interface
        attr_accessor :role_interface_uri
        def role_interface_uri
          attributes[:roleInterfaceUri]
        end

        def role_interface_uri=(val)
          if val
            attributes[:roleInterfaceUri] = UU::OS::UESURI.new(val)
          else
            attributes[:roleInterfaceUri] = nil
          end
        end

      end
    end

  end

end
